<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileHandlerReloadingDetector (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileHandlerReloadingDetector (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandlerReloadingDetector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" target="_top">Frames</a></li>
<li><a href="FileHandlerReloadingDetector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.reloading</div>
<h2 title="Class FileHandlerReloadingDetector" class="title">Class FileHandlerReloadingDetector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.reloading.FileHandlerReloadingDetector</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">VFSFileHandlerReloadingDetector</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileHandlerReloadingDetector</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></pre>
<div class="block"><p>
 A specialized implementation of <code>ReloadingDetector</code> which monitors a
 file specified by a <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io"><code>FileHandler</code></a>.
 </p>
 <p>
 An instance of this class is passed a <code>FileHandler</code> at construction
 time. Each time the <code>isReloadingRequired()</code> method is called, it checks
 whether the <code>FileHandler</code> points to a valid location. If this is the
 case, the file's last modification time is obtained and compared with the
 last stored time. If it has changed, a reload operation should be performed.
 </p>
 <p>
 Because file I/O may be expensive it is possible to configure a refresh delay
 as a time in milliseconds. This is the minimum interval between two checks.
 If the <code>isReloadingRequired()</code> method is called in shorter intervals,
 it does not perform a check, but directly returns <b>false</b>.
 </p>
 <p>
 To initialize an instance either <code>isReloadingRequired()</code> or
 <code>reloadingPerformed()</code> can be called. The first call of
 <code>isReloadingRequired</code> does not perform a check, but obtains the initial
 modification date of the monitored file. <code>reloadingPerformed()</code> always
 obtains the file's modification date and stores it internally.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileHandlerReloadingDetector.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#FileHandlerReloadingDetector--">FileHandlerReloadingDetector</a></span>()</code>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> with an
 uninitialized <code>FileHandler</code> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#FileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-">FileHandlerReloadingDetector</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> and
 initializes it with the <code>FileHandler</code> to monitor and a default
 refresh delay.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#FileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-long-">FileHandlerReloadingDetector</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                            long&nbsp;refreshDelay)</code>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> and
 initializes it with the <code>FileHandler</code> to monitor and the refresh
 delay.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getFile--">getFile</a></span>()</code>
<div class="block">Returns the <code>File</code> object which is monitored by this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getFileHandler--">getFileHandler</a></span>()</code>
<div class="block">Returns the <code>FileHandler</code> associated with this object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getLastModificationDate--">getLastModificationDate</a></span>()</code>
<div class="block">Returns the date of the last modification of the monitored file.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getRefreshDelay--">getRefreshDelay</a></span>()</code>
<div class="block">Returns the refresh delay.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#isReloadingRequired--">isReloadingRequired</a></span>()</code>
<div class="block">Checks whether all criteria for a reload operation are fulfilled.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#reloadingPerformed--">reloadingPerformed</a></span>()</code>
<div class="block">Notifies this object that a reload operation has been performed.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#updateLastModified-long-">updateLastModified</a></span>(long&nbsp;time)</code>
<div class="block">Updates the last modification date of the monitored file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileHandlerReloadingDetector</h4>
<pre>public&nbsp;FileHandlerReloadingDetector(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                                    long&nbsp;refreshDelay)</pre>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> and
 initializes it with the <code>FileHandler</code> to monitor and the refresh
 delay. The handler is directly used, no copy is created. So it is
 possible to change the location monitored by manipulating the
 <code>FileHandler</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>FileHandler</code> associated with this detector (can
        be <b>null</b>)</dd>
<dd><code>refreshDelay</code> - the refresh delay; a value of 0 means that a check is
        performed in all cases</dd>
</dl>
</li>
</ul>
<a name="FileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileHandlerReloadingDetector</h4>
<pre>public&nbsp;FileHandlerReloadingDetector(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> and
 initializes it with the <code>FileHandler</code> to monitor and a default
 refresh delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>FileHandler</code> associated with this detector (can
        be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="FileHandlerReloadingDetector--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileHandlerReloadingDetector</h4>
<pre>public&nbsp;FileHandlerReloadingDetector()</pre>
<div class="block">Creates a new instance of <code>FileHandlerReloadingDetector</code> with an
 uninitialized <code>FileHandler</code> object. The file to be monitored has to
 be set later by manipulating the handler object returned by
 <code>getFileHandler()</code>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFileHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileHandler</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;getFileHandler()</pre>
<div class="block">Returns the <code>FileHandler</code> associated with this object. The
 underlying handler is directly returned, so changing its location also
 changes the file monitored by this detector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the associated <code>FileHandler</code></dd>
</dl>
</li>
</ul>
<a name="getRefreshDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefreshDelay</h4>
<pre>public&nbsp;long&nbsp;getRefreshDelay()</pre>
<div class="block">Returns the refresh delay. This is a time in milliseconds. The
 <code>isReloadingRequired()</code> method first checks whether the time since
 the previous check is more than this value in the past. Otherwise, no
 check is performed. This is a means to limit file I/O caused by this
 class.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the refresh delay used by this object</dd>
</dl>
</li>
</ul>
<a name="isReloadingRequired--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isReloadingRequired</h4>
<pre>public&nbsp;boolean&nbsp;isReloadingRequired()</pre>
<div class="block">Checks whether all criteria for a reload operation are fulfilled. This
 method is called by external components to find out when reloading should
 take place. This implementation checks whether the associated
 <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io"><code>FileHandler</code></a> points to a valid file and whether the last
 modification time of this time has changed since the last check. The
 refresh delay is taken into account, too; a check is only performed if at
 least this time has passed since the last check.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html#isReloadingRequired--">isReloadingRequired</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if a reload operation should be performed,
         <b>false</b> otherwise</dd>
</dl>
</li>
</ul>
<a name="reloadingPerformed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reloadingPerformed</h4>
<pre>public&nbsp;void&nbsp;reloadingPerformed()</pre>
<div class="block">Notifies this object that a reload operation has been performed. This
 method is called after <code>reloadingRequired()</code> has returned
 <b>true</b>. It can be used to reset internal state in order to detect
 the next reload operation. This implementation updates the internally stored last
 modification date with the current modification date of the monitored
 file. So the next change is detected when this file is changed again.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html#reloadingPerformed--">reloadingPerformed</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></dd>
</dl>
</li>
</ul>
<a name="getLastModificationDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastModificationDate</h4>
<pre>protected&nbsp;long&nbsp;getLastModificationDate()</pre>
<div class="block">Returns the date of the last modification of the monitored file. A return
 value of 0 indicates, that the monitored file does not exist.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the last modification date</dd>
</dl>
</li>
</ul>
<a name="updateLastModified-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLastModified</h4>
<pre>protected&nbsp;void&nbsp;updateLastModified(long&nbsp;time)</pre>
<div class="block">Updates the last modification date of the monitored file. The need for a
 reload is detected only if the file's modification date is different from
 this value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>time</code> - the new last modification date</dd>
</dl>
</li>
</ul>
<a name="getFile--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFile</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getFile()</pre>
<div class="block">Returns the <code>File</code> object which is monitored by this object. This
 method is called every time the file's last modification time is needed.
 If it returns <b>null</b>, no check is performed. This base
 implementation obtains the <code>File</code> from the associated
 <code>FileHandler</code>. It can also deal with URLs to jar files.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>File</code> to be monitored (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandlerReloadingDetector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" target="_top">Frames</a></li>
<li><a href="FileHandlerReloadingDetector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
